
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Javascript+ASP打造无刷新新闻列表 / iVAN</title>

    <meta name="description" content="Javascript+ASP打造无刷新新闻列表 javascript|刷新|无刷新 如上图所示的新闻列表在各大网站中并不少见,有了新闻列表就少不了分页,今天我们要谈的就是各分页间的切换方式.传统的方法是将页码以URL参数的形式传到列表页,列表页内程序根据传入的参数来显示不同的内容,这之间就有了一次刷新.然而很多时候页面中的新闻列表只占该页布局的一小部分,分了更新这小部分的内容却得刷新整个页面的内容,有人抗议了,于是之后就有人采用XMLHTTP.AJAX等技术来实现无刷新更新列表.今天我们也要实现无刷新更新列表,但不使用XMLHTTP.AJAX">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/bootstrap.css" rel="stylesheet">
  <link href="https://pic.ikafan.com/staticx/iamivan/2/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
  <script>
  var _hmt = _hmt || [];
  (function() {
    var hm = document.createElement("script");
    hm.src = "https://hm.baidu.com/hm.js?c61d51e9fdcf1d1631ddfce8df9cd119";
    var s = document.getElementsByTagName("script")[0]; 
    s.parentNode.insertBefore(hm, s);
  })();
  </script>
 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="https://pic.ikafan.com/staticx/iamivan/2/assets/logo.png" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/">首页</a></li>
            <li><a href="/tag/互联网/">互联网</a></li>
            <li><a href="/tag/java/">java</a></li>
            <li><a href="/tag/mysql/">mysql</a></li>
            <li><a href="/tag/android/">Android</a></li>
            <li><a href="/tag/ios/">IOS</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    <div id="main" class="col-md-8">


<h1 class="mtitle">Javascript+ASP打造无刷新新闻列表</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>

    	<section>
		<article class="clearfix">
		<p>javascript|刷新|无刷新</p>
<p>　　如上图所示的新闻列表在各大网站中并不少见，有了新闻列表就少不了分页，今天我们要谈的就是各分页间的切换方式。传统的方法是将页码以URL参数的形式传到列表页，列表页内程序根据传入的参数来显示不同的内容，这之间就有了一次刷新。然而很多时候页面中的新闻列表只占该页布局的一小部分，分了更新这小部分的内容却得刷新整个页面的内容，有人抗议了，于是之后就有人采用XMLHTTP、AJAX等技术来实现无刷新更新列表。今天我们也要实现无刷新更新列表，但不使用XMLHTTP、AJAX等新技术，只使用传统的Javascript和ASP语言来实现。</p>
<p><img src="/assets/blank.gif" data-echo="//pic.ikafan.com/imgp/L3Byb3h5L2h0dHBzL3l1bnFpLXRlY2gzLm9zcy1jbi1oYW5nemhvdS5hbGl5dW5jcy5jb20vMjAwNzc3MTYzODI3OTQxLmdpZg==.jpg"></p>
<p>图1 最终效果图</p>
<p>　　<strong>一、问题的提出</strong></p>
<p>　　公司网站要更新，前台昨天做完了，今天由我套程序，图1为公司新闻页中的新闻列表，看到它就突发奇想：做为网络公司的网站应该有点技术含量才行，那今天这列表也来玩玩无刷新。要达到只在局部进行更新，其实用浮动框架(iframe)也能做到，但是这个页面有背景图片且图案不是规则的，用浮动框架很难达到背景统一；那用XMLHTTP、AJAX？可惜这两个也只是接触一点皮毛，要用它们来实现无刷新还得翻阅一些资料，我也不想用它，因为我想到了用 JavaScript+ASP也可以实现的，虽然思路暂时不是很清晰，但相信一定能行！</p>
<p>　　<strong>二、分析问题</strong></p>
<p>　　有玩过动网的人应该知道它在注册和登录页中都有验证码这一项，这验证码还有个功能：当数字不是很清晰时你可以用左键点击一下验证码，就能刷新成新的验证码了。注意，只刷新验证码，页面其他部分没刷新哦！以前我专门针对这个研究了好久，查阅了资料，后来总结成一篇文章叫"script调用asp实现过程"，有兴趣的朋友务必先看看，要不下边的您可能就看得不太明白了。</p>
<p>　　看了"script调用asp实现过程"再回头想想动网的验证码，您也大概知道我要怎么做了吧，呵呵。我们继续说，下边我们先来分析下图1中列表处的代码，代码如下：</p>
<p>　　&lt;div ID="titleLiNews"&gt; <br />  &lt;ul&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;于召开宽带异常掉线研究试点工作讨论会的通知&lt;/a&gt; (2005-01-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;做好2005年中秋节网络监控和话务疏通工作的要&lt;/a&gt;... (2005-01-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;于要求做好中秋务高峰期间智能网业务通信保障相关&lt;/a&gt;...(2005-01-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;加强防御第15号台风“卡努”的紧急通知&lt;/a&gt;(2005-01-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;地下载9月第2周话单方式的ADSL掉线统计及清&lt;/a&gt;...(2005-01-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;于要求做好中秋务高峰期间智能网业务通信保障相关&lt;/a&gt;...(2003-01-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;于加强防御第15号台风“卡努”的紧急通知&lt;/a&gt;(2007-10-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;于召开宽带异常掉线研究试点工作讨论会的通知&lt;/a&gt; (2005-01-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;做好2005年中秋节网络监控和话务疏通工作的要&lt;/a&gt;... (2005-01-12)&lt;/li&gt;<br />    &lt;li&gt;&lt;a href="#"&gt;于要求做好中秋务高峰期间智能网业务通信保障相关&lt;/a&gt;...(2005-01-12)&lt;/li&gt;    <br />  &lt;/ul&gt;<br />&lt;/div&gt;</p>
<p>　　在tianxia.css文件中我还找到了控制它的样式：</p>
<p>　　#titleLiNews {<br />}<br />#titleLiNews ul {<br />list-style-type: none;<br />margin: 0px;<br />padding: 0px;<br />width: 550px;<br />}<br />#titleLiNews ul li {<br />font-size: 9px;<br />line-height: 21px;<br />color: #0099FF;<br />text-decoration: none;<br />background-image: url(images/line02.jpg);<br />background-repeat: no-repeat;<br />margin: 0px 10px 0px 20px;<br />padding: 0px;<br />font-family: "Verdana", "Arial", "Helvetica", "sans-serif";<br />list-style-position: inside;<br />list-style-type: disc;<br />border-bottom-width: 1px;<br />border-bottom-style: dotted;<br />border-bottom-color: #0051A2;<br />}<br />#titleLiNews ul li a {<br />color: #FFFFFF;<br />text-decoration: none;<br />font-size: 12px;<br />}<br />#titleLiNews ul li a:hover {<br />color: #FFFF00;<br />text-decoration: underline;<br />font-size: 12px;<br />}</p>
<p>　　ID类、伪类，看这些样式，我不得不想到Web标准，我想美工在Web标准上也是下过功夫的，不由得对他又多了些敬佩。OK，结合上边全部听到的看到的，我们不难想出这么一条思路：设计一个ASP页面，这个页面可接受参数即显示页数，该页程序查询数据库后根据参数进行分页并将结果以JS语法输出，公司新闻页中只须加一条语句调用即可。</p>
<p>　　<strong>三、解决问题</strong></p>
<p>　　假设公司新闻页文件名：news.asp、查询页文件名：newslit.asp。</p>
<p>　　news.asp主要代码如下：</p>
<p>　　&lt;html&gt;<br />&lt;head&gt;<br />&lt;meta http-equiv="Content-Type" content="text/html; charset=gb2312" /&gt;<br />&lt;title&gt;公司新闻&lt;/title&gt;<br />&lt;script language="JavaScript" type="text/javascript"&gt;<br />function showpage(n){<br />document.scripts[1].src = "newslist.asp?page_no=" + n;<br />}<br />&lt;/script&gt;<br />&lt;script language="JavaScript" type="text/javascript" src=""&gt;&lt;/script&gt;<br />&lt;/head&gt;<br />&lt;body&gt;<br />&lt;div ID="titleLiNews"&gt; <br />&lt;/div&gt;<br />&lt;a href="javascript:showpage(1);"&gt;1&lt;/a&gt;&amp; nbsp;&lt;a href="javascript:showpage(2);"&gt;2&lt;/a&gt;&amp; nbsp;&lt;a href="javascript:showpage(3);"&gt;3&lt;/a&gt;<br />&lt;script language="JavaScript" type="text/javascript"&gt;showpage(1);&lt;/script&gt;<br />&lt;/body&gt;<br />&lt;/html&gt;</p>
<p>　　<strong>newslist.asp代码</strong>：</p>
<p>　　&lt;%<br />Dim conn<br />Set conn=server.createobject("ADODB.connection")<br />conn.connectionstring="provider=microsoft.jet.oledb.4.0; data source=" &amp; server.mappath("db1.mdb")<br />conn.open<br />Dim page_no,sqlstr,rs,i,str<br />page_no = request.querystring("page_no")<br />Sqlstr = "select * from news"<br />Set rs = Server.CreateObject("ADODB.RecordSet")<br />Rs.open sqlstr,conn,1,2<br />Rs.pagesize = 3<br />Rs.absolutepage = page_no<br />Str = "document.getElementById('titleLiNews').innerHTML = ""&lt;Ul&gt;"<br />If rs.eof then str = str &amp; "&lt;li&gt;暂无新闻&lt;/li&gt;" &amp; "&lt;/Ul&gt;';"<br />i = 3<br />Do while not rs.eof and i &gt; 0<br />i = i-1<br />str = str &amp; "&lt;li&gt;&lt;a href='newsview.asp?id=" &amp; rs("id") &amp; "'&gt;" &amp; rs("title") &amp; "&lt;/a&gt;&lt;/li&gt;"<br />rs.movenext<br />Loop<br />str = str &amp; "&lt;/Ul&gt;"";"<br />set rs=nothing<br />set conn = nothing<br />Response.write str<br />%&gt;</p>
<p>　　<strong>四、后记</strong></p>
<p>　　从"动网验证码"到"script调用asp实现过程"再到"Javascript+ASP打造无刷新新闻列表"，我们可以举一反三，例如注册用户时无刷新判断用户名是否被注册、无刷新表单验证等都可以用Javascript+ASP来实现了。</p>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-02-06 21:22:48</div>
		
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong> <a href="https://www.iamivan.net/tag/%e9%a1%b5%e9%9d%a2/" title="页面">页面</a>, <a href="https://www.iamivan.net/tag/%e6%9b%b4%e6%96%b0/" title="更新">更新</a>, <a href="https://www.iamivan.net/tag/%e9%aa%8c%e8%af%81/" title="验证">验证</a>, <a href="https://www.iamivan.net/tag/2005/" title="2005">2005</a>, <a href="https://www.iamivan.net/tag/%e6%96%b0%e9%97%bb/" title="新闻">新闻</a>, <a href="https://www.iamivan.net/tag/%e5%88%97%e8%a1%a8%e5%b1%80%e9%83%a8%e5%88%b7%e6%96%b0/" title="列表局部刷新">列表局部刷新</a>, <a href="https://www.iamivan.net/tag/ajax%e5%88%b7%e6%96%b0%e9%aa%8c%e8%af%81%e7%a0%81/" title="ajax刷新验证码">ajax刷新验证码</a>, <a href="https://www.iamivan.net/tag/%e5%88%97%e8%a1%a8%e5%88%b7%e6%96%b0/" title="列表刷新">列表刷新</a>, <a href="https://www.iamivan.net/tag/%e6%97%a0%e5%88%b7%e6%96%b0%e6%b3%a8%e5%86%8c/" title="无刷新注册">无刷新注册</a>, <a href="https://www.iamivan.net/tag/%e6%97%a0%e5%88%b7%e6%96%b0%e7%99%bb%e5%bd%95/" title="无刷新登录">无刷新登录</a>, <a href="https://www.iamivan.net/tag/%e5%b1%80%e9%83%a8%e5%88%b7%e6%96%b0%e5%88%86%e9%a1%b5/" title="局部刷新分页">局部刷新分页</a>        </div> -->
	</section>
	
	

		<div id="similar">

		<h3>Javascript+ASP打造无刷新新闻列表的相关文章</h3>

								<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/LzJdZ6M.html" rel="bookmark">JS&plus;ASP打造无刷新新闻列表</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				新闻列表在各大网站中并不少见,有了新闻列表就少不了分页,今天我们要谈的就是各分页间的切换方式. 传统的方法是将页码以URL参数的形式传到列表页,列表页内程序根据传入的参数来显示不同的内容,这之间就有了一次刷新.然而很多时候页面中的新闻列表只占该页布局的一小部分,分了更新这小部分的内容却得刷新整个页面的内容,有人抗议了,于是之后就有人采用XMLHTTP.AJAX等技术来实现无刷新更新列表.今天我们也要实现无刷新更新列表,但不使用XMLHTTP.AJAX等新技术,只使用传统的JavaScript和A			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/vMNaVyb.html" rel="bookmark">ASP&plus;AJAX打造无刷新新闻评论系统</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|asp+|刷新|无刷新 不知上过ChinaRen校友录的朋友们有没有注意,ChinaRen在改版后很多方面都进行了较大的改动.例如留言与回复方面已经不再像以前那样,在每次提交后总得重新加载一下整个页面,碰到网速超慢时,只能干瞪着眼睛等待.那么现在这种炫丽的效果又是如何做到的呢,如果你觉得有兴趣,那就跟着我一起往下看吧! 了解Ajax的朋友也许知道其实这种炫丽效果的实现并不是一件很为难的事,当然如果你不了解何为Ajax那也没有关系,本节我们就通过打造一个新闻评论系统,来看看到底什么是Aj			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MWXkWjp.html" rel="bookmark">AjaxPro无刷新选择列表框&sol;下拉框&lbrack;方便&vert;稳定&rsqb;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前言    看到网上很多关于ASP.NET的无刷新选择列表框,服务器端有的返回DataSet,有的返回DataView,有的用分隔符拼接一个长字符串返回,相应的客户端解析也是各有不同.DataSet+JS我是怎么也没弄成过,顺便在这里讲下返回DataSet不存在数据库关闭与否的问题.前端时间我上司写了一个这样的东西我改了下还蛮好用的,不敢独享,与大家分享一下吧:) 正题    服务器端代码: /// &lt;summary&gt;     /// Ajax服务器端响应方法     /// &lt;/sum			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MvY5E9b.html" rel="bookmark">不用AJAX和IFRAME&comma;说说真正意义上的ASP&plus;JS无刷新技术&lowbar;javascript技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				网上流传的什么&lt;&lt;AJAX vs ASP传统无刷新&gt;&gt;中的ASP无刷新,加个IFRAME,弄个JS根本不能称之为无刷新..... 一下代码未区分大小写,请自行修改! 全静态无刷新思路: &lt;HTML&gt; &lt;SCRIPT SRC=&quot;&quot;&gt;&lt;/SCRIPT&gt;//当前页面全局的 无数新调用 &lt;SCRIPT&gt; //一系列JS调用 FUNCTION XX(FUN_NAME,PARAMETER_NAME,PARAMETER_VALU			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/Myr6P5p.html" rel="bookmark">javascript实现TreeView 无刷新展开的实例代码</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				这篇文章介绍了javascript实现TreeView 无刷新展开的实例代码,有需要的朋友可以参考一下   复制代码 代码如下: function public_GetParentByTagName(element, tagName)  {     var parent = element.parentNode;     var upperTagName = tagName.toUpperCase();     //如果这个元素还不是想要的tag就继续上溯     while (parent &amp;			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/7M0GJAb.html" rel="bookmark">ASP&period;NET AJAX：一步步打造漂亮的新闻列表（无刷新分页、内容预览）（3）</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				前面两个章节我们将需求分析和概要设计简单介绍了,接下来是重点的编代 码的阶段了(实现无刷新分页).在编写代码之前,一定要有计划的去编写代码 ,不能一开始啥也不管就开始编代码,除非你特牛. 我们来看一下需求分析: 3.==&gt;无刷新的分页读取新闻列表,在点击下一页的时候触发事件,调用 ajax去数据库中查找下一页的数据并返回,然后显示在页面上. 这里面有两个事件,都是js事件,我们用jquery代码来实现. 分页的话,我们采用jquery的分页插件pagination,官方地址为 http://pl			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/bEY4GLb.html" rel="bookmark">一步步打造漂亮的新闻列表&lpar;无刷新分页、内容预览&rpar;第一步&lowbar;基础应用</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				没有分页.这样如果数据量很大时,情况就变得十分糟糕,往往打开一个网页就需要很长的时候,大大的降低了的用户的体验效果. 而分页的话也是很有讲究的,不同的数据库往往对应着不同的分页方式.这里不做讨论.下面我们仅以简单的access作为数据库来进行新闻列表的无刷新分页.无刷新意味着要使用ajax技术,当然无刷新不仅仅是ajax,还有其他的方法做到无刷新,如将所有的数据一次性读取出来,然后根据页数的不同显示不同的内容,这个仅仅靠JavaScript就可以实现了,但是这个无疑是饮鸩止渴,和上面没有分页效果			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/1Mvq29b.html" rel="bookmark">asp&period;net ajax 和 asp&period;net 2&period;0中的fileupload合力打造无刷新文件上传控件</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				ajax|asp.net|控件|上传|上传控件|刷新|无刷新 在做一个信息管理平台时用到了图片,就像做一个上传的正好用的是asp.net ajax就试着做了一个不很好 自定义用户控件文件 PicUpload.ascx 1&lt;%@ control language=&quot;C#&quot; autoeventwireup=&quot;true&quot; inherits=&quot;Admin_PicUpload, App_Web_mboefw14&quot; %&gt;2 &lt;asp:Ima			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.iamivan.net/a/MrdEljz.html" rel="bookmark">适用与firefox ASP&period;NET无刷新二级联动下拉列表&lowbar;实用技巧</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				可能&quot;极好的&quot;又会带来很多的非议,但是我认为这确实很好,我看了大约20个无刷新的连动下拉列表,他们在firefox下面就一团糟.为了这个我差不多搞了两天,就是如果提交窗体后如何保持第二个列表框的值,因为通过js 给下拉框添加条目那么他的状态是不会被保存的测试平台:ie6,firefox  功能:二级无刷新连动  特点:跨浏览器;提交窗体取第二下拉框的值;数据来源于数据库;以xmlhttp来发送请求,实现无刷新  请求:如果您能够找到更好的方法请告诉我,非常感谢,您的批评和建议对我是莫大			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/0bomBvp.html" rel="bookmark" class="title">在Win2K环境下安装Apache&plus;PHP</a>
					<div>
						apache http://www.php.net/do_download.php?download_file=php-4.0.5-Win32.zip&amp;source_site=www.php. ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/qMq1ZkM.html" rel="bookmark" class="title">联网创业赢利模式之四个象限</a>
					<div>
						很多时候需要谋定而后动,知难而行易,创业就是如此,很多东东没有想清楚之前,做了也许就等于白做,说不定还是南辕北辙的反做,落得个出师未捷身先死的下场. 今天在陆家嘴,与聚网(365ju.com)的一个天 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Lp5XWDM.html" rel="bookmark" class="title">在服务器上安装、使用MySQL的注意事项</a>
					<div>
						mysql|服务器 在服务器上安装.使用MySQL的注意事项      一.怎么样取得最新版本的MySQL?       要安装MySQL,首先要当然要取得它的最新版本,虽然大家都知道在FreeBSD ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/9bB89dp.html" rel="bookmark" class="title">C&num;首席设计师Anders Hejlsberg专访（2）转</a>
					<div>
						设计 Osborn:      让我们进入语法细节.我在想,C#是否包括对正则表达式的内建支持.我没有在语言参考里看到它,或许它可能在别的什么地方吧. Hejlsberg:      首先,在基类库里 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pd78k4M.html" rel="bookmark" class="title">浅谈Java中的类型转换</a>
					<div>
						要说类型转换,首先要说一说java的数据类型.java中的数据类型分为两种:基本类型.引用类型.基本数据类型没有什么好说的byte char short int long float double b ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M0PmAJM.html" rel="bookmark" class="title">改进&period;NET应用程序的性能和可伸缩性（二）</a>
					<div>
						为性能和可伸缩性做架构和设计上的Review 部署和体系结构 Use distributed architectures appropriately. Do not introduce distrib ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/p5A03mp.html" rel="bookmark" class="title">Photoshop打造漂亮的连写金色发光字</a>
					<div>
						教程的文字对字体的选择非常讲究.最好是一些连写的手写字体.这样做出的效果更生动.没有这些字体可以用钢笔工具勾,然后描边路径就可以得到想要的字体,后期加上发光效果,再渲染背景即可. 最终效果 1.首先创 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2yNlkz.html" rel="bookmark" class="title">新版Lightroom CC可以除雾霾</a>
					<div>
						  Dehaze操作非常简单,只有一个滑动调节模块,而且已经嵌入到Lr CC的开发面板当中.Adobe表示Dahaze作用就是为了减轻传统&quot;去雾&quot;操作的步骤.另外Dahaze不是单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/Mg3JE8M.html" rel="bookmark" class="title">win8电脑使用win&plus;X快捷键无法打开开始菜单怎么办？</a>
					<div>
						  在Windows系统升级到win8系统之后,咱们Windows系统中的开始菜单就取消了开始菜单,这让很多用户都觉得难以忍受,但是使用win8系统之后,咱们才发现,其实win8系统隐藏有一个快捷菜单 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M9ERkgM.html" rel="bookmark" class="title">如何在win7系统中删除已安装的程序？</a>
					<div>
						  想必大家对于win7系统下载官网已经十分的熟悉了吧?当然,这是对目前市场的主流用户来说的,毕竟,还有一些朋友因为工作的需要,或者是自己的喜好问题,一直还在坚持着使用XP,反正现在也有办法可以解决X ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zwL4Ddb.html" rel="bookmark" class="title">什么是Windows&period;old</a>
					<div>
						先来跟大家说说什么是windows.old吧. windows.old是一个老系统文件,它由于用户安装了新系统之后就会取代了windows.old文件,导致windows.old文件在安装新系统之后就 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN16Ryb.html" rel="bookmark" class="title">如何删除本地连接</a>
					<div>
						  1.点击&quot;开始&quot;菜单,搜索&quot;运行&quot;按下回车键或者或者直接按Windows键(窗口)+&quot;R&quot;键,打开&quot;运行&quot;对话框.  ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ze75rxM.html" rel="bookmark" class="title">Window7与VMWare上的CentOS文件传输</a>
					<div>
						   很无奈,在VMWare上安了一个CentOS,文件传递的方式还在采用U盘.很菜吧!哈哈     我在网上查找有没有快捷的方式.有一个学友的文章值得借鉴:&lt;VMWare CentOS中安装设 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bBZgO9b.html" rel="bookmark" class="title">&amp;quot&semi;飞猪&amp;quot&semi;如何靠着一群&amp;quot&semi;猪队友&amp;quot&semi;，实现单日21亿交易额？</a>
					<div>
						不怕虎一样的对手,只怕猪一样的队友.于是&quot;猪队友&quot;成为&quot;不给力队友&quot;的代名词,不过这个称呼,对于飞猪的朋友圈来说,有点不公平. 成立2年的飞猪,仅仅有900多名 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zDWnZKp.html" rel="bookmark" class="title">演讲实录丨侯晓迪 机器视觉：从跑分到跑路</a>
					<div>
						机器视觉:从跑分到跑路 侯晓迪 图森互联CTO.联合创始人 侯晓迪:大家好!今天非常高兴能跟各位在这分享我们公司图森互联,大概成立一年,我在这一年里面有很多想法,今天借此机会讲一讲.我们图森互联在北京 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MYjNJ6p.html" rel="bookmark" class="title">图像处理------基于像素的图像混合</a>
					<div>
						介绍几种常见的将两张图像混合在一起形成一张新的图像的算法, 首先看一下下面算法演示中要使用的两张图像: 为了得到更好的混合效果,我选择了两张一样大小的图片. 方法一: 通过简单对于像素点的像素相乘得到 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MN738dp.html" rel="bookmark" class="title">Gradle 多渠道打包的使用和错误分析（转）</a>
					<div>
						  刚接触到android的开发,对什么都陌生的,本文是自己在项目中使用的技术要点总结,大咖遇到可直接飘过..... 1.Gradle 打包(不废话了直接来脚本),将下列脚本放到build.gradl ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MqAnvYM.html" rel="bookmark" class="title">微信开发-微信扫一扫街景扫描如何实现</a>
					<div>
						问题描述 微信扫一扫街景扫描如何实现 请问大神如何实现扫一扫的街景扫描,在扫一扫中获取位置坐标然后跳转网页连到街景上??					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/z7Y7oRM.html" rel="bookmark" class="title">process-安卓中进程与包的关系</a>
					<div>
						问题描述 安卓中进程与包的关系 ActivityManager activityManager = (ActivityManager) this.getSystemService(ACTIVITY_S ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPBk30b.html" rel="bookmark" class="title">直接打开远程C&sol;S程序的设计方法&comma;欢迎测试Demo&period;</a>
					<div>
						问题描述 Demo在线测试地址:http://www.i4ap.net/showforum-12.aspx设计架构:不同于b/s,也不同于c/s,和SmartClient有也不相同(类似).具备如下特 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/MrX2Wyz.html" rel="bookmark" class="title">ES6 的功能侦测库 ES-Checker</a>
					<div>
						两周前,&lt;ECMAScript国际标准(第6版)&gt;正式通过,下一代 JavaScript 语言定案. ECMAScript 6(以下简称 ES6)总共新增了20多项重大的语言特性.各种浏览 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pmKvxqb.html" rel="bookmark" class="title">在线教育为何开花容易结果难</a>
					<div>
						中介交易 SEO诊断 淘宝客 云主机 技术大厅 据粗略统计,目前中国已经有十多家在线教育企业拿到风险投资,其金额早已超过1亿美元. 在风险投资者眼中,在线教育行业受到的关注并不比网络游戏少.但是这么多 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bEKYXPp.html" rel="bookmark" class="title">风讯宣布FOOSUNCMS系列产品免费</a>
					<div>
						中介交易 http://www.aliyun.com/zixun/aggregation/6858.html&quot;&gt;SEO诊断 淘宝客 云主机 技术大厅 中国开源CMS商业化之路经典回放- ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/zeoXO8M.html" rel="bookmark" class="title">hadoop 2&period;x 集群外机器通过webhdfs访问集群内文件，怎么实现？需要DNS吗？</a>
					<div>
						问题描述 hadoop2.x集群外机器通过webhdfs访问集群内文件,用IP地址直接访问http://namenode(IP):50070/webhdfs/v1/test/xxx.txt?op=op ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/bodB3vM.html" rel="bookmark" class="title">c&num; webservice 【serviceMode 客户端配置部分中&comma;找不到引用协定&period;&period;&period;&period;&period;&period;】</a>
					<div>
						问题描述 类库工程引用webservice,运行会报错:[serviceMode客户端配置部分中,找不到引用协定的默认终结点元素.这可能是因为未找到应用程序的配置文件,或者是因为客户端元素中找不到与此 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/ba67QgM.html" rel="bookmark" class="title">ajax处理服务器返回的三种数据类型方法&lowbar;AJAX相关</a>
					<div>
						其原理很简单,结构上基本不变,只是改变处理返回数据的方式. 1.Text/HTML格式 这种返回类型处理很简单,直接就当作字符串用就行了.为了方便使用,封装成如下函数: /** * @function ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/pPlk91p.html" rel="bookmark" class="title">javascript url几种编码方式详解&lowbar;javascript技巧</a>
					<div>
						1. escape() 不能直接用于URL编码,它的真正作用是返回一个字符的Unicode编码值.比如&quot;春节&quot;的返回结果是%u6625%u8282,escape()不对&quot; ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M6GOLWp.html" rel="bookmark" class="title">mybatis-关于atlas在程序中怎么连接</a>
					<div>
						问题描述 关于atlas在程序中怎么连接 spring+mybatis框架的项目怎么连接Atlas,我不知道怎么配置数据源,如果直接连接mysql会配置,但是现在用了Atlas中间件做读写分了不知道怎 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/M1NYA9p.html" rel="bookmark" class="title">reposurgeon 1&period;6发布 版本控制系统工具</a>
					<div>
						reposurgeon 1.6此版本修复了一个Python 3.2兼容性的问题.gitsvnparse移动远程分支/标签到本地(像svn2git). Reposurgeon能够进行http://www ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.iamivan.net/a/b2Y9DZz.html" rel="bookmark" class="title">号称最安全的苹果TEE被黑客攻破了，怎么办？</a>
					<div>
						苹果产品一直以其高安全性著称,严格的应用审查制度帮助苹果系统打造了一个所谓&quot;没有病毒的桃花源&quot;,而独立于系统之外单独运行在特制芯片上的&quot;安全区(TEE - Trust E ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>热搜</span>
		</div>
		<div class="box-content">
					</div>
	</div>


</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 iVAN        | info#iamivan.net        | 11 q. 0.028 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <!-- <script src="/assets/js/jquery.js"></script>
  <script src="/assets/js/bootstrap.min.js"></script> -->
  <div style=" display: none ";>
  </div>

<script src="/assets/js/echo.js"></script>
<script>
    echo.init({
      offset: 100,
      throttle: 250,
      unload: false,
      callback: function (element, op) {
        console.log(element, 'has been', op + 'ed')
      }
    });
    </script>
</body>
</html>
